ClusterResource
RESTful endpoint for managing a cluster.
The following resources are applicable:
- /cluster
- /cluster/connections/{id}/status
- /cluster/connections/{id}/status/history
- /cluster/input-ports/{id}/status
- /cluster/output-ports/{id}/status
- /cluster/process-groups/{id}/status/history
- /cluster/processors/{id}
- /cluster/processors/{id}/status
- /cluster/processors/{id}/status/history
- /cluster/remote-process-groups/{id}/status
- /cluster/remote-process-groups/{id}/status/history
- /cluster/search-results
- /cluster/status
/cluster
Mount Point: /rest/cluster
HEAD
Returns a 200 OK response to indicate this is a valid cluster endpoint.
Response Body
| element: | (custom) |
| media types: | application/xml application/json |
An OK response with an empty entity body.
GET
Gets the contents of this NiFi cluster. This includes all nodes and their status.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | clusterEntity |
| media types: | application/xml application/json |
A clusterEntity
/cluster/connections/{id}/status
Mount Point: /rest/cluster/connections/{id}/status
GET
Gets the connection status for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the processor | path |
Response Body
| element: | clusterConnectionStatusEntity |
| media types: | application/xml application/json |
A clusterProcessorStatusEntity
/cluster/connections/{id}/status/history
Mount Point: /rest/cluster/connections/{id}/status/history
GET
Gets the connections status history for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the processor | path |
Response Body
| element: | clusterStatusHistoryEntity |
| media types: | application/xml application/json |
A clusterProcessorStatusHistoryEntity
/cluster/input-ports/{id}/status
Mount Point: /rest/cluster/input-ports/{id}/status
GET
Gets the input port status for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the input port | path |
Response Body
| element: | clusterPortStatusEntity |
| media types: | application/xml application/json |
A clusterPortStatusEntity
/cluster/output-ports/{id}/status
Mount Point: /rest/cluster/output-ports/{id}/status
GET
Gets the output port status for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the output port | path |
Response Body
| element: | clusterPortStatusEntity |
| media types: | application/xml application/json |
A clusterPortStatusEntity
/cluster/process-groups/{id}/status/history
Mount Point: /rest/cluster/process-groups/{id}/status/history
GET
Gets the process group status history for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the process group | path |
Response Body
| element: | clusterStatusHistoryEntity |
| media types: | application/xml application/json |
A clusterProcessGroupStatusHistoryEntity
/cluster/processors/{id}
Mount Point: /rest/cluster/processors/{id}
The following operations are supported on this resource:
GET
Gets the processor.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the processor | path |
Response Body
| element: | processorEntity |
| media types: | application/xml application/json |
A processorEntity
PUT
Updates the processors annotation data.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the processor. | path | |
| annotationData | The annotation data to set. | form |
Response Body
| element: | processorEntity |
| media types: | application/xml application/json |
A processorEntity.
PUT
Updates the processors annotation data.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the processor. | path |
Request Body
| element: | processorEntity |
| media types: | application/xml application/json |
A processorEntity.
Response Body
| element: | processorEntity |
| media types: | application/xml application/json |
A processorEntity.
/cluster/processors/{id}/status
Mount Point: /rest/cluster/processors/{id}/status
GET
Gets the processor status for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the processor | path |
Response Body
| element: | clusterProcessorStatusEntity |
| media types: | application/xml application/json |
A clusterProcessorStatusEntity
/cluster/processors/{id}/status/history
Mount Point: /rest/cluster/processors/{id}/status/history
GET
Gets the processor status history for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the processor | path |
Response Body
| element: | clusterStatusHistoryEntity |
| media types: | application/xml application/json |
A clusterProcessorStatusHistoryEntity
/cluster/remote-process-groups/{id}/status
Mount Point: /rest/cluster/remote-process-groups/{id}/status
GET
Gets the remote process group status for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the remote process group | path |
Response Body
| element: | clusterRemoteProcessGroupStatusEntity |
| media types: | application/xml application/json |
A clusterRemoteProcessGroupStatusEntity
/cluster/remote-process-groups/{id}/status/history
Mount Point: /rest/cluster/remote-process-groups/{id}/status/history
GET
Gets the remote process group status history for every node.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the processor | path |
Response Body
| element: | clusterStatusHistoryEntity |
| media types: | application/xml application/json |
A clusterRemoteProcessGroupStatusHistoryEntity
/cluster/search-results
Mount Point: /rest/cluster/search-results
GET
Searches the cluster for a node with a given address.
Parameters
| name | description | type | default |
|---|---|---|---|
| q | Search value that will be matched against a node's address | query |
Response Body
| element: | clusterSearchResultsEntity |
| media types: | application/xml application/json |
Nodes that match the specified criteria
/cluster/status
Mount Point: /rest/cluster/status
GET
Gets the status of this NiFi cluster.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | clusterStatusEntity |
| media types: | application/xml application/json |
A clusterStatusEntity